Bug 523800 - X.org doesn't work on ThinkPad 600X (NeoMagic MagicGraph256ZX)
Summary: X.org doesn't work on ThinkPad 600X (NeoMagic MagicGraph256ZX)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-neomagic
Version: rawhide
Hardware: i686
OS: Linux
low
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-x-blocker
TreeView+ depends on / blocked
 
Reported: 2009-09-16 17:30 UTC by Chris Schumann
Modified: 2009-10-28 01:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-26 19:55:38 UTC


Attachments (Terms of Use)
Capture of output of "startx" (1.39 KB, text/plain)
2009-09-16 17:31 UTC, Chris Schumann
no flags Details
Xorg.0.log from machine in question (19.43 KB, text/plain)
2009-09-16 17:31 UTC, Chris Schumann
no flags Details
Xorg.0.log from Rawhide 2009-10-01 (19.44 KB, text/plain)
2009-10-05 17:41 UTC, Chris Schumann
no flags Details
Output of "startx" (1.25 KB, text/plain)
2009-10-27 12:26 UTC, Chris Schumann
no flags Details

Description Chris Schumann 2009-09-16 17:30:24 UTC
Description of problem:
Attempting to start X.org with rawhide liveCD image 2009.09.16-Audio on ThinkPad 600X results in black screen with occasional flashes.


Version-Release number of selected component (if applicable):
xorg-x11-drv-neomagic-1.2.4-1.fc12.i686

How reproducible:
Every time

Steps to Reproduce:
1. Boot a ThinkPad 600X with the liveCD
2.
3.
  
Actual results:
Black screen

Expected results:
Spiffy fedora login screen

Additional info:

Comment 1 Chris Schumann 2009-09-16 17:31:21 UTC
Created attachment 361334 [details]
Capture of output of "startx"

Comment 2 Chris Schumann 2009-09-16 17:31:57 UTC
Created attachment 361335 [details]
Xorg.0.log from machine in question

Comment 3 Adam Williamson 2009-09-16 17:35:17 UTC
salient error appears to be: /usr/bin/X: symbol lookup error: /usr/lib/xorg/modules/drivers/neomagic_drv.so: undefined symbol: xf86UDelay

setting as f12blocker as this would appear to break the driver entirely - any system with a neomagic adapter will fail to work...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Chris Schumann 2009-10-05 16:34:52 UTC
Net install happens in text mode, and after boot X will not start, with Rawhide image dated 2009-10-01.

Comment 5 Adam Williamson 2009-10-05 16:53:05 UTC
a rebuild did get through to rawhide a while back, iirc:

http://koji.fedoraproject.org/koji/buildinfo?buildID=125528

so the error may be new. Can you get us an updated Xorg.0.log ? Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Chris Schumann 2009-10-05 17:41:56 UTC
Created attachment 363722 [details]
Xorg.0.log from Rawhide 2009-10-01

Newer Xorg.0.log attached, as requested.

Comment 7 Adam Williamson 2009-10-05 17:56:08 UTC
well, yup, that's different. actually, there's no error there. from the log, it looked like X started successfully, at 1024x768. is that the correct resolution? What exactly do you see?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 8 Chris Schumann 2009-10-05 18:01:36 UTC
Starting from a remote machine, here's the output of startx:
xauth:  creating new authority file /root/.serverauth.1412


X.Org X Server 1.6.99.903 (1.7.0 RC 3)
Release Date: 2009-9-28
X Protocol Version 11, Revision 0
Build Operating System:  2.6.18-164.el5 
Current Operating System: Linux localhost.localdomain 2.6.31.1-56.fc12.i686.PAE #1 SMP Tue Sep 29 16:16:16 EDT 2009 i686
Kernel command line: ro root=/dev/mapper/VolGroup-lv_root nomodeset LANG=en_US.UTF-8 SYSFONT=latarcyrheb-sun16 KEYBOARDTYPE=pc KEYTABLE=us 3
Build Date: 01 October 2009  02:03:28AM
Build ID: xorg-x11-server 1.6.99.903-2.fc12 
Current version of pixman: 0.16.2
	Before reporting problems, check http://bodhi.fedoraproject.org/
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Mon Oct  5 12:43:44 2009
(==) Using default built-in configuration (30 lines)
(EE) open /dev/fb0: No such file or directory
/usr/bin/X: symbol lookup error: /usr/lib/xorg/modules/drivers/neomagic_drv.so: undefined symbol: xf86UDelay
giving up.
xinit:  Connection refused (errno 111):  unable to connect to X server
xinit:  No such process (errno 3):  Server error.
[root@localhost ~]# 

That looks rather similar, with the same xf86UDelay undefined. What I see is the screen is blank, and I am unable to switch to a console or kill X. The machine is responsive over ssh, but I'm unsure what to try.

Comment 9 Adam Williamson 2009-10-23 21:14:10 UTC
This bug was discussed at the blocker bug review meeting today.

We consider it a release blocker on the basis that it's wrong to ship a completely broken driver that will be used by default on the hardware it supports.

We suggest there are three acceptable choices here, and leave it up to the X team to pick one:

1) fix the driver
2) drop the driver entirely, which will cause the vesa driver to be used on neomagic chips
3) keep the driver but patch X's auto-detection to select vesa by default

Any of these choices is fine, but we must go with one of them before F12 can be released.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 10 Adam Jackson 2009-10-26 19:55:38 UTC
Fixed in xorg-x11-drv-neomagic 1.2.4-2.fc12

Comment 11 Adam Williamson 2009-10-27 01:32:39 UTC
Thanks, Adam. Chris, can you test that build and confirm whether or not it starts? Thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 12 Chris Schumann 2009-10-27 12:25:14 UTC
1.2.4-2 does not work. I'll attach the output of startx, but it still has this in it: /usr/bin/X: symbol lookup error: /usr/lib/xorg/modules/drivers/neomagic_drv.so: undefined symbol: xf86UDelay

Comment 13 Chris Schumann 2009-10-27 12:26:39 UTC
Created attachment 366256 [details]
Output of "startx"

Machine is still responsive via ssh, but nothing on the console gets a response.

Comment 14 Chris Schumann 2009-10-27 12:38:56 UTC
Sorry. Last two comments are erroneous. 1.2.4-1 was still being used.

1.2.4-2 works!

Comment 15 Adam Williamson 2009-10-28 01:46:35 UTC
Excellent, thanks for the confirmation.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.